Name:           ksplash-engine-moodin
Version:        0.4.2
Release:        4%{?dist}
Summary:        KDE ksplash Moodin engine

Group:          User Interface/Desktops
License:        GPL
URL:            http://moodwrod.com/?projects
Source0:        http://moodwrod.com/files/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdebase-devel desktop-file-utils
Requires: kdebase

%description
Splash Screen Engine for KDE
Heavily customizable engine for various types of themes

FEATURES:
- Scale cache
- Fading images
- Use current icon set or custom images
- Unlimited Custom text labels
- Set fading delay and length
- Custom image arrangement
- Resolution independent themes



%prep
%setup -q -n moodin


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/apps/ksplash/Themes/FingerPrint/
%{_datadir}/apps/ksplash/Themes/MoodinKDE/
%{_datadir}/services/ksplashmoodin.desktop
%{_libdir}/kde3/ksplashmoodin.la
%{_libdir}/kde3/ksplashmoodin.so

%changelog
* Thu Mar 01 2007 Chitlesh GOORAH <chitlesh [AT] fedoraproject dot org> 0.4.2-4
- dumped new release

* Thu Mar 01 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-3
- improve tag usage, and rebuilt for fc6 and devel

* Sun Jan 07 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-2
- using 'name' and 'version' macros for source0
- corrected mispelling in changelog

* Sat Dec 30 2006 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-1
- submitting to Fedora Extras

* Sun Nov 12 2006 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-0.2
- removed kdelibs-devel from BR which is already required by kdebase-devel

* Sat Nov 11 2006 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.4.2-0.1
- Initial RPM release
